<?php


namespace App\Entities\ProcedimentoFormulario;

use App\Utils\Entity;

class ProcedimentoFormulario extends Entity
{
    protected $id;
    protected $id_formulario;
    protected $id_procedimento;

    public static function builder () {
        return new ProcedimentoFormularioBuilder();
    }

    public function getId()
    {
        return $this->id;
    }

    public function setId($id): void
    {
        $this->id = $id;
    }

    public function getIdFORMULARIO(): int
    {
        return $this->id_formulario;
    }

    public function setIdFORMULARIO(int $id_formulario): void
    {
        $this->id_formulario = $id_formulario;
    }

    public function getIdPROCEDIMENTO(): int
    {
        return $this->id_procedimento;
    }

    public function setIdPROCEDIMENTO(int $id_procedimento): void
    {
        $this->id_procedimento = $id_procedimento;
    }




}